rocm-hipamd (7.14-0ubuntu1) stonking; urgency=medium

  [ Bruno Bernardo de Moura ]
  * Fix FTBFS on Debian/Ubuntu due to CMake assuming the
    upstream installation layout by adding the following patches:
    - d/p/0028-fix-llvm-find-package-for-debian-layout.patch
    - d/p/0029-fix-hiprtc-clang-llvm-mc-search-for-debian-layout.patch

  [ Bojan Aleksovski ]
  * Drop patches:
    - d/p/0002-replace-x86_64-with-variables.patch
    - d/p/0004-make-hipcc-and-hipconfig-optional.patch
    - d/p/0009-default-to-hip-platform-amd.patch
    - d/p/0014-fix-roc-obj-help.patch
    - d/p/0022-remove-hardcoded-optrocm-hipamd-cmake.patch
  * Refresh patches:
    - d/p/0018-skip-opencl-tools.patch
    - d/p/0020-spelling.patch
    - d/p/0021-dont-change-default-c-cxx-flags.patch
    - d/p/0026-hip-embed-pch-stable-cwd.patch
  * Add missing Last-Update field to patches:
    - d/p/0010-optional-device-libs-find-package.patch
    - d/p/0011-deduplicate-cmake-messages.patch
    - d/p/0013-fix-FindHIP-search-for-HIP_CLANG_PATH.patch
    - d/p/0017-optional-hipconfig-in-build-depends.patch
    - d/p/0019-fix-amdocl-library-version.patch
  * d/control: update Build-Deps with nightly version floors
  * d/hip-utils.install: update files: roc-obj{,-ls,-extract} are removed
    and hrr-playback is added
  * d/control: update hip-utils Depends and Description after changes.
    hrr-playback is a real ELF which needs ${shlibs:Depends},
    roc-obj-* no longer exists thus dropping libfile-which-perl and
    liburi-encode-perl Depends.
  * Add hrr-playback manpage:
    - d/control: add help2man as Build-Dep for hrr-playback manpage generation
    - d/rules: create hrr-playback manpages using help2man
    - d/hip-utils.manpages: replace roc-obj-* with hrr-playback manpage
  * d/rocm-opencl-icd.install: update files - keep the lib in multiarch path
  * d/not-installed: update files
  * d/libamdhip64-7.symbols: update with added symbols
  * d/copyright: update stanzas
  * d/control: add Ubuntu Developers as Maintainer
  * d/control: drop obsolete ${perl:Depends} from libamdhip64-dev
  * debian: wrap and sort formatting
  * d/control: bump debhelper compat level to 14
  * d/rules: remove override_dh_dwz, no longer needed in compat 14
  * New upstream version 7.14

  [ Igor Luppi ]
  * d/watch: update rocm tag for therock
  * d/control: bump rocm stack to 7.14
  * d/p: refresh patches against 7.14

 -- Bruno Bernardo de Moura <bruno.moura@canonical.com>  Mon, 31 Aug 2026 14:28:44 -0300

rocm-hipamd (7.2.4-1ubuntu4) stonking; urgency=medium

  * Revert changes introduced in 7.2.4-1ubuntu1 as we still need
    commitment decision from the team

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 13 Jul 2026 09:49:26 +0200

rocm-hipamd (7.2.4-1ubuntu3) stonking; urgency=medium

  * d/control: fix leftover Depends to use AMD LLVM

 -- Bojan Aleksovski <bojan.aleksovski@canonical.com>  Thu, 02 Jul 2026 09:55:18 +0200

rocm-hipamd (7.2.4-1ubuntu2) stonking; urgency=medium

  * d/control: fix leftover Depends to use AMD LLVM

 -- Bojan Aleksovski <bojan.aleksovski@canonical.com>  Wed, 01 Jul 2026 09:16:22 +0200

rocm-hipamd (7.2.4-1ubuntu1) stonking; urgency=medium

  * d/control: update Build-Deps to use AMD LLVM toolchain
  * d/control: update Suggests and Depends to hipcc-rocm
  * d/control: remove arm64 and ppc64el archs due to AMD LLVM toolchain
  * d/rules: update ROCM_PATH to /usr/lib/rocm and HIP_CLANG_PATH to
    /usr/lib/rocm/bin as we use AMD LLVM
  * Drop obsolete patches due to AMD LLVM usage:
    - d/p/0024-restrict-hiprtc-cmake-search-to-clang-22.patch: drop
    - d/p/0025-roc-obj-use-llvm-22.patch: drop
  * d/t/control: update Deps to use amd-device-libs-rocm and hipcc-rocm
  * d/tests/{cmake-hip-config, cmake-hip-detect}: update ROCM_CLANG_PREFIX
  * d/p/0017-fix-memory-barriers-for-arm64-and-ppc64.patch: drop

 -- Bojan Aleksovski <bojan.aleksovski@canonical.com>  Tue, 16 Jun 2026 13:27:14 +0200

rocm-hipamd (7.2.4-1~exp1) experimental; urgency=medium

  [ Talha Can Havadar ]
  * New upstream version 7.2.4

  [ Igor Luppi ]
  * debian: wrap-and-sort
  * d/watch: fix Filenamemangle for ROCm/rocm-systems monorepo
  * d/copyright: update upstream copyright year to 2025
  * d/copyright: fix Khronos license stanzas
  * d/control: remove redundant Priority and Rules-Requires-Root fields
  * d/t/control: bump rocm-device-libs to v22 and rocminfo floor to 7~
  * d/p: refresh patches against 7.2.4 upstream
  * d/p/0027: fix HIP_CLANG_ROOT for the Debian/Ubuntu layout (LP: #2143597)
  * d/tests: compile HIP with the clang matching the installed toolchain
  * d/tests: add cmake-hip-detect GPU autodetection regression test

 -- Talha Can Havadar <havadartalha@gmail.com>  Thu, 11 Jun 2026 19:36:14 +0000

rocm-hipamd (7.2.3-1~exp1) experimental; urgency=medium

  [ Talha Can Havadar ]
  * New upstream version 7.2.3
  * debian: ubuntu resolute upload for 7.1.0
  * d/{ci/*, salsa-ci.yml}: fix ci for experimental
  * d/tests: use correct clang and llvm dependencies and bump to 22
  * d/tests/{control, cmake-hip-lang}: remove hipconfig test from rocm-hipamd
    hipconfig config test is better suited for rocm-llvm package so moving
    this test to rocm-llvm so we can catch the issues introduced by
    rocm-llvm earlier.
  * d/p/0026-hip-embed-pch-stable-cwd.patch: make the embedded PCH inside
    libamdhip64 reproducible. Pins the CWD of the -emit-pch invocations
    to / (root) and replaces the PID-keyed scratch directory
    (/tmp/hip_pch.$$) with a deterministic name, so neither the build path
    nor the bash PID leak into the .data section.
  * d/copyright: fix extra new line for debian/* copyright
  * d/control: add Talha to uploaders

  [ Cordell Bloor ]
  * New upstream version 6.4.4

  [ Bruno Bernardo de Moura ]
  * d/watch: update file with new upstream targets
  * d/control: bump LLVM build-depends to stack to version 22
  * d/libamdhip64-7.symbols: add new 7.2.3 symbols
  * d/*.lintian-overrides: update overrides for each binary
  * d/copyright: update debian packaging copyright stanza
  * d/control: update Standards-Version and Homepage
  * d/upstream/metadata: update fields to target monorepo
  * d/p/0024-restrict-hiprtc-cmake-search-to-clang-22.patch: add patch
  * d/p/0025-roc-obj-use-llvm-22.patch: add patch

  [ Igor Luppi ]
  * d/p/0023-compat-hipLibraryLoad-single-pointer.patch: Add patch

 -- Talha Can Havadar <havadartalha@gmail.com>  Tue, 02 Jun 2026 19:47:13 +0200

rocm-hipamd (6.4.3-5) unstable; urgency=medium

  * Add libamd-comgr3 to rocm-opencl-icd dependencies
    (Closes: #1125782)

 -- Cordell Bloor <cgmb@debian.org>  Thu, 05 Feb 2026 18:55:50 -0700

rocm-hipamd (6.4.3-4) unstable; urgency=medium

  * Fix AMDGPU_TARGETS deprecation warning in cmake-hip-config autopkgtest
  * Add cmake-hip-module autopkgtest to ensure that FindHIP.cmake works
  * Restore autopkgtests for ensuring that the HIP Runtime is compatible with
    the GCC toolchain

 -- Cordell Bloor <cgmb@debian.org>  Tue, 25 Nov 2025 17:48:51 -0700

rocm-hipamd (6.4.3-3) unstable; urgency=medium

  * Add d/p/0021-fix-size-mismatch-of-count-type.patch to fix
    out-of-bounds write causing FTBFS when both LTO and hardening
    flags are enabled
  * Explicitly disable LTO as a temporary workaround for further
    errors causing FTBFS on downstream distributions

 -- Cordell Bloor <cgmb@debian.org>  Sun, 26 Oct 2025 00:27:04 -0600

rocm-hipamd (6.4.3-2) unstable; urgency=medium

  * Add d/p/0017-fix-memory-barriers-for-arm64-and-ppc64.patch to fix
    FTBFS on arm64 and ppc64el

 -- Cordell Bloor <cgmb@debian.org>  Sat, 25 Oct 2025 16:07:38 -0600

rocm-hipamd (6.4.3-1) unstable; urgency=medium

  * Upload to unstable

 -- Cordell Bloor <cgmb@debian.org>  Wed, 22 Oct 2025 22:31:25 -0600

rocm-hipamd (6.4.3-1~exp2) experimental; urgency=medium

  * Update d/gbp.conf to follow DEP-14
  * Update from LLVM 20 to LLVM 21
  * Remove GPU code object fallback loading behaviour from libamdhip64-6
    to align Debian with the upstream behaviour. This was achieved by
    dropping d/p/0005-improve-rocclr-isa-compatibility-check.patch
    and d/p/0006-extend-hip-isa-compatibility-check.patch. These
    patches were no longer fully functional as much of the code
    object loading functionality had been moved into libamd-comgr3
    in the upstream codebase. Users are encouraged to instead make use
    of LLVM generic target ids, such as gfx9-generic, gfx10-1-generic,
    and gfx10-3-generic to support multiple GPU architectures with a
    single build target.

 -- Cordell Bloor <cgmb@debian.org>  Tue, 14 Oct 2025 13:29:03 -0600

rocm-hipamd (6.4.3-1~exp1) experimental; urgency=medium

  * New upstream version 6.4.3
    * Refresh patches
    * Update symbols for libamdhip64-6
    * Update Depends and Build-Depends minimum versions
    * Drop d/p/0003-fix-hip-config-for-c-projects.patch as it
      was applied upstream.
    * Drop d/p/0015-self-sufficient-bf16-header.patch as a similar
      patch was applied upstream.
    * Add d/p/0018-skip-opencl-tools.patch to work around failing
      build of unpacked OpenCL tools.
    * Add d/p/0019-fix-amdocl-library-version.patch to fix version
      symlinks for libamdocl64.so.
    * Update build rules d/rules: disable use of rocprofiler-register
  * Update from LLVM 17 to LLVM 20 (Closes: #1084074)
  * Drop hipcc from Build-Depends to break the dependency cycle
    between src:rocm-hipamd and src:rocm-llvm.
  * Drop rocminfo and <!nocheck> annotations from Build-Depends
  * Update my email address in package metadata
  * Remove inactive maintainers from package uploaders
  * d/control: add ${perl:depends} to hip-utils dependencies
  * Add lintian overrides for rocm-opencl-icd package name
  * Drop ldconfig trigger for rocm-opencl-icd
  * Add d/p/0020-spelling.patch to fix minor spelling errors in
    library headers.

  [ Kentaro Hayashi ]
  * Use d/watch 5

 -- Cordell Bloor <cgmb@debian.org>  Fri, 05 Sep 2025 15:07:33 -0600

rocm-hipamd (6.1.5-1~exp2) experimental; urgency=medium

  * Update package descriptions
  * Add hip-utils package containing scripts that had previously
    been in the hipcc binary package but remained part of
    src:rocm-hipamd even after hipcc was moved to src:rocm-llvm
  * Patch roc-obj to use the same version of LLVM as hipcc
  * Update standards version to 4.7.2. No changes required.
  * Mark libhiprtc6 as Multi-Arch: same
  * Move libhiprtc6 development files to libamdhip64-dev
  * Add symbol tracking for libhiprtc6
  * d/control: remove unused librocm-smi-dev from Build-Depends
  * Remove libamdhip64-doc package. The libamdhip64-doc package no
    longer includes much useful information and it would require
    significant effort to fix that (Closes: #1099403)

  [ Christian Bayle ]
  * Add myself to uploaders and d/copyright
  * Update symbols files to 6.1.5

  [ Xuanteng Huang ]
  * New upstream version 6.1.5
  * Update dependencies for new upstream version
  * Refresh patches for upstream source changes
  * Remove hipcc binary package. The hipcc package is now provided by
    src:rocm-llvm
  * Bump libamdhip64 and libhiprtc-buildins soversion from 5 to 6
  * Change rocm-opencl-icd relationship with other OpenCL packages from
    Breaks to Conflicts
  * Remove HIP compiler autopkgtests as they are now included in rocm-llvm
  * Add myself to uploaders
  * Add a new binary package libhiprtc6 to provide libhiprtc.so.6 for CMake
    target hiprtc::hiprtc

 -- Cordell Bloor <cgmb@slerp.xyz>  Sat, 21 Jun 2025 00:46:21 -0600

rocm-hipamd (5.7.1-7) unstable; urgency=medium

  * Add d/p/0041-inline-bf16-functions.patch to mark functions defined
    in amd_hip_bf16.h as inline. This change prevents multiple
    definition errors during linking for programs that include
    <hip/hip_bf16.h> in more than one translation unit (Closes: #1116585)
  * Fix hipcc manpage title (Closes: #1107681)
  * Fix spelling error in roc-obj-ls manpage

 -- Cordell Bloor <cgmb@slerp.xyz>  Sat, 04 Oct 2025 02:33:54 -0600

rocm-hipamd (5.7.1-6) unstable; urgency=medium

  * Revert "tests: allow deprecation warnings via allow-stderr restriction"
  * d/p/0031-find-package-minimum-policy.patch: raise max policy version
    in CMake config files to 3.31 to prevent deprecation warnings
    from find_package(hip) or enable_language(hip)
  * Remove the broken hiprtc::hiprtc imported target (Closes: #1088540)
  * d/control: libamdhip64-dev now suggests hipcc, which is required for
    HIP language support (Closes: #1094763)
  * Add d/p/0038-fix-FindHIP-search-for-HIP_CLANG_PATH.patch to prevent
    FindHIP.cmake from choosing an incorrect HIP_CLANG_PATH when ROCM_PATH
    or HIP_PATH are set (Closes: #1099404)
  * Add d/p/0039-fix-roc-obj-help.patch to fix garbage output in
    roc-obj-ls --help and roc-obj-extract --help (Closes: #1103558)
  * Add d/p/0040-self-sufficient-bf16-header.patch to fix undeclared
    identifier '__ockl_sdot2' errors in translation units that include
    hip_bf16.h before other headers (Closes: #1099402)
  * Add manpages for hipcc, hipconfig, roc-obj, roc-obj-ls, and roc-obj-extract
    (Closes: #1103689)

  [ Helmut Grohne ]
  * Mark libamdhip64-5, libhiprtc-builtins5, and rocm-opencl-icd
    Multi-Arch: same (Closes: #1086329)

 -- Cordell Bloor <cgmb@slerp.xyz>  Tue, 13 May 2025 05:50:23 -0600

rocm-hipamd (5.7.1-5.1) unstable; urgency=medium

  * Non-maintainer upload
  * tests: allow deprecation warnings via allow-stderr restriction
    (Closes: #1087869)

 -- Paul Gevers <elbrus@debian.org>  Sat, 12 Apr 2025 12:51:52 +0200

rocm-hipamd (5.7.1-5) unstable; urgency=medium

  * Source only upload for migration to testing.
  * Update Standards-Version to 4.7.0. No changes required.
  * Add d/rocm-opencl-icd.install to fix FTBFS in some configurations.
  * Add d/rocm-opencl-icd.triggers to fix lacks-ldconfig-trigger
    (Closes: #1082715)

 -- Cordell Bloor <cgmb@slerp.xyz>  Tue, 24 Sep 2024 16:15:52 -0600

rocm-hipamd (5.7.1-4) unstable; urgency=medium

  * Enable OpenCL in rocm-opencl-icd.  Set Breaks on mesa-opencl-icd and
    pocl-opencl-icd since having either causes an LLVM load error.

 -- Kari Pahula <kaol@debian.org>  Tue, 02 Jul 2024 12:22:54 +0300

rocm-hipamd (5.7.1-3) unstable; urgency=medium

  * Add d/p/0035-optional-device-libs-find-package.patch to make
    rocm-device-libs-17 an optional dependency in hip-config.cmake.
  * Add d/p/0036-fix-clangrt-check-for-c.patch to provide consistent
    status information from hip-config.cmake about compiler-rt when
    configuring C and C++ projects.
  * Add d/p/0037-deduplicate-cmake-messages.patch to reduce the verbosity
    of hip-config.cmake.

 -- Cordell Bloor <cgmb@slerp.xyz>  Tue, 26 Mar 2024 00:42:03 -0600

rocm-hipamd (5.7.1-2) unstable; urgency=medium

  * Add d/p/0034-default-to-hip-platform-amd.patch to have hip-config.cmake
    default to building for the AMD platform if hipconfig is not available.
  * d/gbp.conf: ensure use of pristine-tar
  * d/t/hipconfig: enable hipconfig autopkgtests even if KFD is not available
  * d/control: drop dpkg-dev from hipcc depends because it is no longer used
  * d/t/control: require rocminfo (>= 5.7.1~) in autopkgtests to fix failures
    on systems without AMD GPUs

 -- Cordell Bloor <cgmb@slerp.xyz>  Wed, 20 Mar 2024 01:57:15 -0600

rocm-hipamd (5.7.1-1) unstable; urgency=medium

  * Migrate to unstable.

 -- Cordell Bloor <cgmb@slerp.xyz>  Thu, 07 Mar 2024 10:57:55 -0700

rocm-hipamd (5.7.1-1~exp2) experimental; urgency=medium

  * Fix FTBFS on arm64 by conditionally removing use of SSE intrinsics.
  * Fix gcc, clang and g++ autopkgtests.
  * Add d/p/0033-fix-hipconfig-version-githash.patch to fix hipconfig
    version number.

 -- Cordell Bloor <cgmb@slerp.xyz>  Sun, 03 Mar 2024 17:31:02 -0700

rocm-hipamd (5.7.1-1~exp1) experimental; urgency=medium

  * New upstream version 5.7.1
  * Update URLs to reflect consolidation of hipamd, rocclr and
    rocm-opencl into clr.
  * Enable hardening flags.
  * d/libamdhip64-5.symbols: mark hipRegisterTracerCallback as an
    optional symbol. This function is not found in any public header.
    It is an unstable internal interface used by ROCm profiling tools.
  * d/libhiprtc-builtins.so.5: fix lintian warning
    symbols-file-missing-build-depends-package-field
  * Add d/p/0030-disable-immintrin-on-ppc64el.patch to fix build
    on ppc64el.
  * Add d/p/0031-find-package-minimum-policy.patch to fix CMake
    policy warning in find_package(hip).
  * Expand autopkgtests with more build checks (no GPU required).
  * Add d/p/0032-hipcc-compiler-launcher.patch to provide
    HIP_CLANG_LAUNCHER environment variable in hipcc.
    Thanks to Gavin Zhao.

 -- Cordell Bloor <cgmb@slerp.xyz>  Sun, 03 Mar 2024 00:21:39 -0700

rocm-hipamd (5.6.1-1~exp1) experimental; urgency=medium

  * New upstream version 5.6.1
  * Add hipcc upstream tarball
  * Update upstream URLs
  * Update from clang-15 to clang-17 (Closes: #1061208)
  * d/control: drop mlir from build-depends
  * d/control: add graphviz to doc build dependencies (Closes: 1064721)
  * d/rules: disable build tests
  * d/rules: disable rpath rather than patching it out
  * d/hipcc.install: drop install of hip_embed_pch.sh
  * d/libamdhip64-5.symbols: mark profiling API symbols as optional

 -- Cordell Bloor <cgmb@slerp.xyz>  Tue, 27 Feb 2024 02:38:42 -0700

rocm-hipamd (5.2.3-13) unstable; urgency=medium

  * Add debian/clean (Closes: #1046076)

 -- Christian Kastner <ckk@debian.org>  Thu, 14 Sep 2023 15:48:26 +0200

rocm-hipamd (5.2.3-12) unstable; urgency=medium

  * Fix FTBFS with gcc-13 due to an error in HIP Graph host-to-host
    memcpy (which is not functional in this version of rocm-hipamd
    or any previous version).

 -- Cordell Bloor <cgmb@slerp.xyz>  Sun, 23 Jul 2023 16:03:51 -0600

rocm-hipamd (5.2.3-11) unstable; urgency=medium

  * Migrate to unstable.
  * Fix search for clang_rt.builtins on ppc64el (Closes: #1041005).

 -- Cordell Bloor <cgmb@slerp.xyz>  Thu, 13 Jul 2023 15:53:49 -0600

rocm-hipamd (5.2.3-11~exp1) experimental; urgency=medium

  * Add libamdhip64-doc package to provide API documentation.
  * Restore patches for improved ISA compatibility with minor adjustments.

 -- Cordell Bloor <cgmb@slerp.xyz>  Tue, 04 Jul 2023 00:23:49 -0600

rocm-hipamd (5.2.3-10) unstable; urgency=medium

  [ Christian Kastner ]
  * Add 0027-device-Add-missing-include.patch to fix FTBFS
    with GCC-13 (Closes: #1037845)

  [ Cordell Bloor ]
  * Fix ppc64el multilib directory lookup in hipcc.
  * Fix HSA check in CMake with d/p/0002-fix-cmake-library-notfound-check.patch
  * Add d/p/0028-reduce-clangrt-error-to-warning.patch to fix CMake
    configuration pn ppc64el.
  * Add d/p/0029-restrict-hiprtc-cmake-search-to-clang-15.patch to fix FTBFS
    when clang-14 is available on the system.
  * Revert patches for improved ISA compatibility because they are still
    experimental. They are not yet ready for unstable.

 -- Cordell Bloor <cgmb@slerp.xyz>  Tue, 27 Jun 2023 14:23:58 -0600

rocm-hipamd (5.2.3-10~exp1) experimental; urgency=medium

  * Improve ISA compatibility checks to enable loading gfx900, gfx1010 and
    gfx1030 kernels on other compatible hardware.

 -- Cordell Bloor <cgmb@slerp.xyz>  Thu, 25 May 2023 17:19:34 -0600

rocm-hipamd (5.2.3-9) unstable; urgency=medium

  [ Christian Kastner]
  * Reintroduce the changes we temporarily reverted for bookworm, these being:
    - Build tests again
    - Add rocminfo and libclang-rt-15-dev to Build-Depends
    - Limit Architecture to amd64, arm64, ppc64el
    - Bump Standards-Version to 4.6.2 (no changes needed)
    - Add autopkgtests

  [ Cordell Bloor ]
  * Fix find_package when CXX language not enabled (Closes: #1035835)
  * Fix find_package when hipcc is not installed (Closes: #1035834)
  * Fix hipconfig --check (Closes: #1033924)
  * Cleanup search of multiarch for devicelibs.
  * Fix hipcc on ppc64el.

 -- Cordell Bloor <cgmb@slerp.xyz>  Mon, 22 May 2023 18:00:40 -0600

rocm-hipamd (5.2.3-8) unstable; urgency=medium

  * hipcc: Fix typo in dependency relation

 -- Christian Kastner <ckk@debian.org>  Mon, 01 May 2023 00:46:36 +0200

rocm-hipamd (5.2.3-7) unstable; urgency=medium

  * hipcc: Fix Depends to enable transition from split clang package

  * Temporarily undo some changes to reduce the bookworm diff:
    + Drop building of tests, and libclang-rt-15-dev dependency
    + Drop rocminfo Build-Depends (only needed for tests)
    + Change back to Architecture: any
    + Undo Standards-Version bump
    + Undo autopkgtest addition

 -- Christian Kastner <ckk@debian.org>  Sun, 30 Apr 2023 16:05:27 +0200

rocm-hipamd (5.2.3-6) unstable; urgency=medium

  * Reduce arch to amd64, arm64, ppc64el
  * libamdhip64-5: Add dependency on libamd-comgr2 (Closes: #1032677)
  * Add myself to Uploaders
  * Fix Maintainer (same list, different name)

 -- Christian Kastner <ckk@debian.org>  Fri, 10 Mar 2023 23:38:51 +0100

rocm-hipamd (5.2.3-5) unstable; urgency=medium

  * d/{libamdhip64-dev,rules}: fix version file
    Closes: #1031264
  * add d/p/0020-replace-x86_64-with-variables.patch
    to fix build on aarch64
  * d/control: add file to hipcc dependencies
  * d/control: add dependencies for find_package(hip)
    Closes: #1031538
  * add d/p/0021-fix-default-cmake-build-on-unsupported-gpus.patch
    to enable gpu arch autodetection with find_package(hip)
  * d/not-installed: ignore doxygen docs
  * d/p/000{4,8,9}*.patch: change hip-lang cmake files,
    to partially fix #1031540
  * d/copyright: update copyright date
  * d/control: add self to uploaders
  * cleanup patch metadata

 -- Cordell Bloor <cgmb@slerp.xyz>  Sun, 19 Feb 2023 03:51:26 -0700

rocm-hipamd (5.2.3-4) unstable; urgency=medium

  * d/t/hipcc: also skip when no kfd driver is loaded.

 -- Étienne Mollier <emollier@debian.org>  Sat, 21 Jan 2023 12:54:49 +0100

rocm-hipamd (5.2.3-3) unstable; urgency=medium

  * d/control: build depends on libclang-rt-15-dev.
  * d/control: hipcc depends on libclang-rt-15-dev.
  * d/t/hipcc: add; basic script testing hipcc.
  * d/t/hipconfig: add; script skipping hipconfig if no amdgpu is available.
  * d/t/control: add hipcc to superficial autopkgtests.
  * d/t/control: run the d/t/hipconfig test script instead of the command;
    this allows us to trigger conditions for when hardware is not available
    and the script has to be skipped.

 -- Étienne Mollier <emollier@debian.org>  Wed, 18 Jan 2023 20:35:17 +0100

rocm-hipamd (5.2.3-2) unstable; urgency=medium

  [ Cordell Bloor ]
  * d/patches: add 0020-hipcc-remove-rpath-flags.patch
    Closes: #1021642
  * d/rules: trim unnecessary rules
  * d/rules: strip RUNPATH from libamdhip64.so
  * debian/patches: backport 56b3260 from upstream
    Closes: #1021643
  * d/rules: disable creation of duplicate files
  * d/patches: fix search paths when building with g++
  * d/patches: add 0002-fix-cmake-library-notfound-check.patch
  * d/libamdhip64-dev.install: install /usr/share/hip/version

  [ Étienne Mollier ]
  * 0005-clang-15.patch: also adjust llc postfix.
    Thanks to Jakub Jaszewski
  * d/t/control: check hipconfig doesn't output error messages.
  * d/control: hipcc depends on rocminfo.
  * d/control: declare compliance to standards version 4.6.2.
  * d/copyright: update copyright year.
  * d/rules: build tests in parallel.
  * d/rules: set library path to find the freshly built library.
  * d/rules: force run tests sequentially; avoid bus contention on the GPU.

 -- Étienne Mollier <emollier@debian.org>  Sat, 14 Jan 2023 11:16:01 +0100

rocm-hipamd (5.2.3-1) unstable; urgency=medium

  * Migrate ROCm 5.2.3 to unstable.
  * d/control: build depends on ROCm 5.2.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Oct 2022 21:20:33 +0200

rocm-hipamd (5.2.3-1~0exp1) experimental; urgency=medium

  * d/control: append numerous missing llvm 15 experimental packages.

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Oct 2022 19:43:48 +0200

rocm-hipamd (5.2.3-1~0exp0) experimental; urgency=medium

  [ Étienne Mollier ]
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refresh or unfuzz multiple patches with the new upstream version.
  * 0002-orthograph-patch-for-rocclr.patch: remove; applied upstream.
  * 0008-dotdots.patch: refresh; half the patch applied upstream.
  * 0012-typo.patch: forward upstream.
  * d/{rules,not-installed}: declare files not installed instead of running rm
    (yet keep `rm bin/.hipVersion` around).
  * d/{libamdhip64-dev.install,not-installed}: sort missing files.
  * d/control: bump build-dependency to llvm 15 to fix various ftbfs.
  * 0013-hipcc-hip-version.patch: refer to a newly open bug on the topic.
  * 0005-clang-14.patch: update and rename to 0005-clang-15.patch following
    llvm 15 version bump.
  * d/libamdhip64-5.symbols: append new symbols.

  [ Cordell Bloor ]
  * 0005-clang-15.patch: use version-agnostic checks
  * Add 0015-default-hip-clang-path.patch
  * Add 0016-default-device-lib-path.patch
  * Add 0017-default-rocm-path.patch
  * Add 0018-rocm-path-flag.patch
    Closes: #1021275

  [ Étienne Mollier ]
  * d/salsa-ci.yml: don't trigger i386 tests.
  * d/control: add patchelf as build-dependency.
  * d/rules: cleanup rpath in libhiprtc-builtins.so.

 -- Étienne Mollier <emollier@debian.org>  Tue, 04 Oct 2022 22:00:05 +0200

rocm-hipamd (5.0.0-1) unstable; urgency=medium

  * Migrate rocm-hipamd to unstable.

 -- Étienne Mollier <emollier@debian.org>  Wed, 31 Aug 2022 19:11:39 +0200

rocm-hipamd (5.0.0-1~exp2) experimental; urgency=medium

  * Fix 0005-clang-14.patch: do not touch HIP_COMPILER.
  * Add 0013-hipcc-hip-version.patch to hardcode --hip-version= while there is
    no way to feed this information in an FHS compliant way.
  * Add 0014-gcc-12.patch: fix ftbfs with gcc-12.
  * d/rules: configure OFFLOAD_ARCHS_STR to build on hosts w/o amdgpu.  The
    present list includes gfx803, gfx900, gfx906 and gfx1030.  Other
    architectures will be welcome as they will be needed.  Listing these is
    currently needed to be able to pass through buildds without GPU cards.
    Thanks to Cordell Bloor for the help all along

 -- Étienne Mollier <emollier@debian.org>  Sat, 23 Jul 2022 19:45:47 +0200

rocm-hipamd (5.0.0-1~exp1) experimental; urgency=medium

  [ Maxime Chambonnet ]
  * Initial packaging (Closes: #1013368)

 -- Étienne Mollier <emollier@debian.org>  Wed, 29 Jun 2022 21:44:45 +0200
